<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CommonUserDetails.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.domain</a> &gt; <span class="el_source">CommonUserDetails.java</span></div><h1>CommonUserDetails.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.domain;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.UUID;

@Getter
<span class="nc" id="L15">@Setter</span>
<span class="nc bnc" id="L16" title="All 14 branches missed.">@EqualsAndHashCode(of = &quot;userId&quot;)</span>
<span class="nc" id="L17">public class CommonUserDetails implements UserDetails, Serializable {</span>
    private static final long serialVersionUID = 1L;

<span class="nc" id="L20">    private UUID userId;</span>

<span class="nc" id="L22">    private String fullName;</span>

    private String username;

    private String password;

    private boolean enabled;

<span class="nc" id="L30">    private boolean accountExpired;</span>

<span class="nc" id="L32">    private boolean accountLocked;</span>

<span class="nc" id="L34">    private boolean credentialsExpired;</span>

<span class="nc" id="L36">    private UUID createdBy;</span>

<span class="nc" id="L38">    private Date createdTime;</span>

<span class="nc" id="L40">    private UUID updatedBy;</span>

<span class="nc" id="L42">    private Date updatedTime;</span>

    private Collection&lt;CommonRole&gt; authorities;

    @Override
    public Collection&lt;? extends GrantedAuthority&gt; getAuthorities() {
<span class="nc bnc" id="L48" title="All 2 branches missed.">        if (authorities == null) {</span>
<span class="nc" id="L49">            return Collections.emptyList();</span>
        }
<span class="nc" id="L51">        return authorities;</span>
    }

    @Override
    public String getPassword() {
<span class="nc" id="L56">        return this.password;</span>
    }

    @Override
    public String getUsername() {
<span class="nc" id="L61">        return this.username;</span>
    }

    @Override
    public boolean isAccountNonExpired() {
<span class="nc bnc" id="L66" title="All 2 branches missed.">        return !this.accountExpired;</span>
    }

    @Override
    public boolean isAccountNonLocked() {
<span class="nc bnc" id="L71" title="All 2 branches missed.">        return !this.accountLocked;</span>
    }

    @Override
    public boolean isCredentialsNonExpired() {
<span class="nc bnc" id="L76" title="All 2 branches missed.">        return !this.credentialsExpired;</span>
    }

    @Override
    public boolean isEnabled() {
<span class="nc" id="L81">        return this.enabled;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L86">        return &quot;User [userId=&quot; + userId +  &quot;, fullName=&quot; + fullName + &quot;, username=&quot; + username</span>
                + &quot;, enabled=&quot; + enabled
                + &quot;, accountExpired=&quot; + accountExpired + &quot;, accountLocked=&quot; + accountLocked + &quot;, credentialsExpired=&quot;
                + credentialsExpired + &quot;]&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>